Subject: bug#58318: 28.2; Emacs installed from package won't work with MinGW

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 Oct 2022 13:42:15 +0200

Eli Zaretskii <[email-masked]> writes:

>> It shouldn't try to compile .el(c) files, but it needs the compiler to
>> make trampolines to redefine built-in functions.  So a nativecomp Emacs
>> isn't fully functional if a compiler isn't present.
>
> No, the last conclusion incorrect.  See my other mail in this thread.

I'm sorry, I don't follow you.  If trampolines can't be installed, then
Emacs isn't fully functional, because you can't say

(fset 'yes-or-no-p 'y-or-n-p)

and have that be respected.  I.e., the non-functional bit is about
redefinitions of built-in functions, which is pretty basic functionality
in Emacs.